Deployments.ai Docs
Agent Email

Show an email message

GET /v1/agent-email/messages/{messageId} · SDK getAgentEmailMessage · CLI deployments inbox-message show

GET
/v1/agent-email/messages/{messageId}

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

messageId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailMessageResponse

application/json
  1. response
acceptedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
attachments*array<>
bccAddresses*array<>
Itemsitems <= 100
ccAddresses*array<>
Itemsitems <= 100
clientId?string
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
deliveredAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
direction*string
Value in"inbound""outbound"
draftId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
failureCode?string
failureReason?string
fromAddress*string
Match^\S[\s\S]*\S$|^\S$|^$
Length3 <= length <= 320
htmlBody?string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
inboxId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
inReplyTo?string
internetMessageId?string
lastReprocessedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
providerMessageId?string
rawPurgedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
rawRetentionExpiresAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
receivedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
references*array<string>
replyToAddresses*array<>
Itemsitems <= 100
reprocessCount*integer
Range0 <= value <= 9007199254740991
scheduledAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
status*string
Value in"accepted""bounced""complained""delivered""failed""queued""received""scheduled""sending"
subject*string
textBody?string
threadId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
threadKey*string
toAddresses*array<>
Itemsitems <= 100
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X GET "https://example.com/v1/agent-email/messages/string" \  -H "x-deployments-environment: string"
{  "acceptedAt": "2019-08-24T14:15:22Z",  "attachments": [    {      "byteSize": 0,      "contentId": "string",      "contentType": "string",      "disposition": "attachment",      "fileName": "string",      "id": "string",      "messageId": "string",      "sha256": "string"    }  ],  "bccAddresses": [    "string"  ],  "ccAddresses": [    "string"  ],  "clientId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "deliveredAt": "2019-08-24T14:15:22Z",  "direction": "inbound",  "draftId": "string",  "failureCode": "string",  "failureReason": "string",  "fromAddress": "string",  "htmlBody": "string",  "id": "string",  "inboxId": "string",  "inReplyTo": "string",  "internetMessageId": "string",  "lastReprocessedAt": "2019-08-24T14:15:22Z",  "organizationId": "string",  "providerMessageId": "string",  "rawPurgedAt": "2019-08-24T14:15:22Z",  "rawRetentionExpiresAt": "2019-08-24T14:15:22Z",  "receivedAt": "2019-08-24T14:15:22Z",  "references": [    "string"  ],  "replyToAddresses": [    "string"  ],  "reprocessCount": 0,  "scheduledAt": "2019-08-24T14:15:22Z",  "status": "accepted",  "subject": "string",  "textBody": "string",  "threadId": "string",  "threadKey": "string",  "toAddresses": [    "string"  ],  "updatedAt": "2019-08-24T14:15:22Z"}